#!/bin/sh

# sync files: SRC <-> local

# source host / user / dir
SRC="hdw" ; SRCUSER="hackbard" ; SRCDIR="/home/hackbard"
# destination dir
DSTDIR="/mnt/bunker/hackbard"
# use ssh
export RSYNC_RSH="ssh"
# rsync cmd
RSYNC="rsync -aovz"
# directories to sync
DIRS="docs/mosc/ docs/dvb/ docs/kernel/ docs/nagra/"

# check for local existence, continue rsync if true
for DIR in $DIRS; do
	if [ -d $DIR ] ; then
		echo "syncing $DIR from host $SRC, directory $SRCDIR ..."
		$RSYNC ${SRC}:${SRCDIR}/$DIR ${DSTDIR}/$DIR
	fi
done

echo "done."
